Short Code
Learn about dedicated short codes and how to call the API for your account's number information
What is a dedicated short code?
A dedicated short code is a 5 or 6-digit phone number for sending and receiving messages that is exclusively owned by a single brand or organization (example: 52001).
Dedicated short codes have the best throughput (rate of messages sent per second) and are the most convenient for users (since they are short, they are easy to remember and type into a phone). Dedicated short codes support sending hundreds or thousands of messages at once, with high deliverability rates.

Pros for using a dedicated short code
Dedicated short codes have a much higher SMS throughput volume (starting as high as 350 messages per second or 21,000 messages per minute). So messages will go out faster than with 10-digit numbers.
Dedicated short codes are convenient for your audience because they are typically 5-6 digits.
Cons for using a dedicated short code
Registration is required to use a short code in any capacity.
Dedicated short codes are the most costly SMS marketing option, with a one-time $2,500 provisioning fee and a $600/month leasing fee (premium and vanity codes may cost more).
Setup time is significantly longer than other options, as it can take anywhere from 3 weeks to 4 months to get final approval from the mobile carriers.
Short code throughput and limits
Short code numbers give you the highest throughput by far, at as much as 21,000 text messages per minute.
Unlike 10DLCs, short code numbers have no daily limits.
Summary
Dedicated short codes cost significantly more than other messaging options. We recommend them for businesses with a larger budget and high send volume.
Short Code Type Options
There are three types of dedicated short codes. You can lease one of these options or migrate an existing dedicated short code through Mobile Text Alerts.

Premium short code
Premium short codes allow spelling out a brand name or a significant word using a mobile phone’s dial pad. These codes create memorable customization, but may be pricier than other options.
Examples: 827438 for “Target” or 262966 for “Amazon.”
Vanity short code
Vanity short codes are numbers that you can select from a list of available codes. With this option you can choose a code that is easy for your customers to remember.
Depending on the options available, you may even be able to select a code that fits your brand without paying the full price of leasing a premium short code.
Random short code
Random short codes are short numbers that are randomly assigned.
The benefit of choosing a random short code is that you receive all the same short code features for a lower cost than a premium or vanity short code.
Get a dedicated short code for sending messages
If you’d like to lease a dedicated short code for your business, you can contact us.
View your Numbers and Short Codes with the API
List the short codes on your account
You can view all the short codes assigned to your account by calling the Get shortcodes endpoint.
Example request
Example response
Success
BadRequestError
UnauthorizedError
ForbiddenError
InternalServerError
GET /v3/shortcodes HTTP/1.1
Host: api.mobile-text-alerts.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"success": true,
"error": "text",
"message": "text",
"data": {
"shortcodes": null
}
}List all numbers on your account
Just as you can view your numbers on the platform dashboard, you can view all numbers on your account by calling the /dedicated-numbers API endpoint. This returns the name, type, status, and more.
Example request
Example response
Success
BadRequestError
UnauthorizedError
ForbiddenError
InternalServerError
GET /v3/dedicated-numbers HTTP/1.1
Host: api.mobile-text-alerts.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"success": true,
"error": "text",
"message": "text",
"data": {
"rows": [
{
"name": "text",
"created": "text",
"longcodeId": 1,
"number": "text",
"tollFree": 1,
"isShortcode": 1,
"branded": 1,
"pending": 1,
"verified": 1,
"temporary": 1,
"countryCode": "text",
"users": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"type": "text",
"status": "Basic",
"deliveryRate": 1,
"tollFreeVerificationStatus": 1,
"tollFreeVerificationSubmissionDate": "text",
"senderName": "text"
}
],
"page": 1,
"pageSize": 1,
"total": 1
}
}Last updated
Was this helpful?